/*
 * The Broad Institute
 * SOFTWARE COPYRIGHT NOTICE AGREEMENT
 * This is copyright (2007-2008) by the Broad Institute/Massachusetts Institute 
 * of Technology.  It is licensed to You under the Gnu Public License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *    http://www.opensource.org/licenses/gpl-2.0.php
 *
 * This software is supplied without any warranty or guaranteed support
 * whatsoever. Neither the Broad Institute nor MIT can be responsible for its
 * use, misuse, or functionality.
*/

package org.broad.igv.feature;

import java.io.*;

import java.util.*;


public class Cytoband {
    String chromosome;
    String name;
    int end;
    int start;
    char type; // p, n, or c
    short stain;
    
    
    public Cytoband(String chromosome) {
        this.chromosome = chromosome;
    }
    
    
    
    public void trim() {
        
        // @todo -- trim arrays
    }
    
    
    public void setChromosome(String chromosome) {
        this.chromosome = chromosome;
    }
    
    public String getChromosome() {
        return chromosome;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getName() {
        return name;
    }
    
    public void setEnd(int end) {
        this.end = end;
    }
    
    public int getEnd() {
        return end;
    }
    
    public void setStart(int start) {
        this.start = start;
    }
    
    public int getStart() {
        return start;
    }
    
    public void setType(char type) {
        this.type = type;
    }
    
    public char getType() {
        return type;
    }
    
    public void setStain(short stain) {
        this.stain = stain;
    }
    
    public short getStain() {
        return stain;
    }
    

}

